Index: binary-improvements/AllocsCommands/Commands/ShowInventory.cs
===================================================================
--- binary-improvements/AllocsCommands/Commands/ShowInventory.cs	(revision 446)
+++ binary-improvements/AllocsCommands/Commands/ShowInventory.cs	(revision 455)
@@ -1,6 +1,8 @@
 using System.Collections.Generic;
 using AllocsFixes.PersistentData;
+using JetBrains.Annotations;
 
 namespace AllocsFixes.CustomCommands {
+	[UsedImplicitly]
 	public class ShowInventory : ConsoleCmdAbstract {
 		protected override string getDescription () {
@@ -44,5 +46,5 @@
 
 			if (tag == null) {
-				SdtdConsole.Instance.Output ("Belt of player " + p.Name + ":");
+				SdtdConsole.Instance.Output ($"Belt of player {p.Name}:");
 			}
 
@@ -53,5 +55,5 @@
 
 			if (tag == null) {
-				SdtdConsole.Instance.Output ("Bagpack of player " + p.Name + ":");
+				SdtdConsole.Instance.Output ($"Bagpack of player {p.Name}:");
 			}
 
@@ -62,5 +64,5 @@
 
 			if (tag == null) {
-				SdtdConsole.Instance.Output ("Equipment of player " + p.Name + ":");
+				SdtdConsole.Instance.Output ($"Equipment of player {p.Name}:");
 			}
 
@@ -68,36 +70,37 @@
 
 			if (tag != null) {
-				SdtdConsole.Instance.Output ("tracker_item id=" + p.EntityID + ", tag=" + tag +
-				                             ", SHOWINVENTORY DONE");
+				SdtdConsole.Instance.Output ($"tracker_item id={p.EntityID}, tag={tag}, SHOWINVENTORY DONE");
 			}
 		}
 
-		private void PrintInv (List<InvItem> _inv, int _entityId, string _location, string _tag) {
+		private static void PrintInv (IReadOnlyList<InvItem> _inv, int _entityId, string _location, string _tag) {
 			for (int i = 0; i < _inv.Count; i++) {
-				if (_inv [i] != null) {
-					if (_tag == null) {
-						// no Tag defined -> readable output
-						if (_inv [i].quality < 0) {
-							SdtdConsole.Instance.Output (string.Format ("    Slot {0}: {1:000} * {2}", i,
-								_inv [i].count, _inv [i].itemName));
-						} else {
-							SdtdConsole.Instance.Output (string.Format ("    Slot {0}: {1:000} * {2} - quality: {3}", i,
-								_inv [i].count, _inv [i].itemName, _inv [i].quality));
-						}
+				if (_inv[i] == null) {
+					continue;
+				}
 
-						DoParts (_inv [i].parts, 1, null);
+				if (_tag == null) {
+					// no Tag defined -> readable output
+					if (_inv [i].quality < 0) {
+						SdtdConsole.Instance.Output (string.Format ("    Slot {0}: {1:000} * {2}", i,
+							_inv [i].count, _inv [i].itemName));
 					} else {
-						// Tag defined -> parseable output
-						string partsMsg = DoParts (_inv [i].parts, 1, "");
-						string msg = "tracker_item id=" + _entityId + ", tag=" + _tag + ", location=" + _location +
-						             ", slot=" + i + ", item=" + _inv [i].itemName + ", qnty=" + _inv [i].count +
-						             ", quality=" + _inv [i].quality + ", parts=(" + partsMsg + ")";
-						SdtdConsole.Instance.Output (msg);
+						SdtdConsole.Instance.Output (string.Format ("    Slot {0}: {1:000} * {2} - quality: {3}", i,
+							_inv [i].count, _inv [i].itemName, _inv [i].quality));
 					}
+
+					DoParts (_inv [i].parts, 1, null);
+				} else {
+					// Tag defined -> parseable output
+					string partsMsg = DoParts (_inv [i].parts, 1, "");
+					string msg = "tracker_item id=" + _entityId + ", tag=" + _tag + ", location=" + _location +
+					             ", slot=" + i + ", item=" + _inv [i].itemName + ", qnty=" + _inv [i].count +
+					             ", quality=" + _inv [i].quality + ", parts=(" + partsMsg + ")";
+					SdtdConsole.Instance.Output (msg);
 				}
 			}
 		}
 
-		private void PrintEquipment (InvItem[] _equipment, int _entityId, string _location, string _tag) {
+		private static void PrintEquipment (IReadOnlyList<InvItem> _equipment, int _entityId, string _location, string _tag) {
 			AddEquipment ("head", _equipment, EquipmentSlots.Headgear, _entityId, _location, _tag);
 			AddEquipment ("eyes", _equipment, EquipmentSlots.Eyewear, _entityId, _location, _tag);
@@ -115,62 +118,66 @@
 		}
 
-		private void AddEquipment (string _slotname, InvItem[] _items, EquipmentSlots _slot, int _entityId,
+		private static void AddEquipment (string _slotname, IReadOnlyList<InvItem> _items, EquipmentSlots _slot, int _entityId,
 			string _location, string _tag) {
 			int[] slotindices = XUiM_PlayerEquipment.GetSlotIndicesByEquipmentSlot (_slot);
 
 			for (int i = 0; i < slotindices.Length; i++) {
-				if (_items != null && _items [slotindices [i]] != null) {
-					InvItem item = _items [slotindices [i]];
-					if (_tag == null) {
-						// no Tag defined -> readable output
-						if (item.quality < 0) {
-							SdtdConsole.Instance.Output (string.Format ("    Slot {0:8}: {1:000}", _slotname,
-								item.itemName));
-						} else {
-							SdtdConsole.Instance.Output (string.Format ("    Slot {0:8}: {1:000} - quality: {2}",
-								_slotname, item.itemName, item.quality));
-						}
+				if (_items == null || _items[slotindices[i]] == null) {
+					continue;
+				}
 
-						DoParts (_items [slotindices [i]].parts, 1, null);
+				InvItem item = _items [slotindices [i]];
+				if (_tag == null) {
+					// no Tag defined -> readable output
+					if (item.quality < 0) {
+						SdtdConsole.Instance.Output (string.Format ("    Slot {0:8}: {1:000}", _slotname,
+							item.itemName));
 					} else {
-						// Tag defined -> parseable output
-						string partsMsg = DoParts (_items [slotindices [i]].parts, 1, "");
-						string msg = "tracker_item id=" + _entityId + ", tag=" + _tag + ", location=" + _location +
-						             ", slot=" + _slotname + ", item=" + item.itemName + ", qnty=1, quality=" +
-						             item.quality + ", parts=(" + partsMsg + ")";
-						SdtdConsole.Instance.Output (msg);
+						SdtdConsole.Instance.Output (string.Format ("    Slot {0:8}: {1:000} - quality: {2}",
+							_slotname, item.itemName, item.quality));
 					}
 
-					return;
+					DoParts (_items [slotindices [i]].parts, 1, null);
+				} else {
+					// Tag defined -> parseable output
+					string partsMsg = DoParts (_items [slotindices [i]].parts, 1, "");
+					string msg = $"tracker_item id={_entityId}, tag={_tag}, location={_location}, slot={_slotname}, item={item.itemName}, qnty=1, quality={item.quality}, parts=({partsMsg})";
+					SdtdConsole.Instance.Output (msg);
 				}
+
+				return;
 			}
 		}
 
-		private string DoParts (InvItem[] _parts, int _indent, string _currentMessage) {
-			if (_parts != null && _parts.Length > 0) {
-				string indenter = new string (' ', _indent * 4);
-				for (int i = 0; i < _parts.Length; i++) {
-					if (_parts [i] != null) {
-						if (_currentMessage == null) {
-							// no currentMessage given -> readable output
-							if (_parts [i].quality < 0) {
-								SdtdConsole.Instance.Output (string.Format ("{0}         - {1}", indenter,
-									_parts [i].itemName));
-							} else {
-								SdtdConsole.Instance.Output (string.Format ("{0}         - {1} - quality: {2}",
-									indenter, _parts [i].itemName, _parts [i].quality));
-							}
+		private static string DoParts (IReadOnlyList<InvItem> _parts, int _indent, string _currentMessage) {
+			if (_parts == null || _parts.Count <= 0) {
+				return _currentMessage;
+			}
 
-							DoParts (_parts [i].parts, _indent + 1, null);
-						} else {
-							// currentMessage given -> parseable output
-							if (_currentMessage.Length > 0) {
-								_currentMessage += ",";
-							}
+			string indenter = new string (' ', _indent * 4);
+			for (int i = 0; i < _parts.Count; i++) {
+				if (_parts[i] == null) {
+					continue;
+				}
 
-							_currentMessage += _parts [i].itemName + "@" + _parts [i].quality;
-							_currentMessage = DoParts (_parts [i].parts, _indent + 1, _currentMessage);
-						}
+				if (_currentMessage == null) {
+					// no currentMessage given -> readable output
+					if (_parts [i].quality < 0) {
+						SdtdConsole.Instance.Output (string.Format ("{0}         - {1}", indenter,
+							_parts [i].itemName));
+					} else {
+						SdtdConsole.Instance.Output (string.Format ("{0}         - {1} - quality: {2}",
+							indenter, _parts [i].itemName, _parts [i].quality));
 					}
+
+					DoParts (_parts [i].parts, _indent + 1, null);
+				} else {
+					// currentMessage given -> parseable output
+					if (_currentMessage.Length > 0) {
+						_currentMessage += ",";
+					}
+
+					_currentMessage += $"{_parts[i].itemName}@{_parts[i].quality}";
+					_currentMessage = DoParts (_parts [i].parts, _indent + 1, _currentMessage);
 				}
 			}
